Bug 758362 - add DB support for SQL Server 2008 R2
add DB support for SQL Server 2008 R2
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 12:03 EST by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-11-29 12:03:37 EST
DBTypeFactory currently contains:

            } else if (db_name.indexOf("sql server") != -1) {
                if (db_version.startsWith("09.00") || db_version.startsWith("9.00")) { // SQL Server 2005
                    database_type_class = SQLServer2005DatabaseType.class;
                } else if (db_version.startsWith("10.00")) { // SQL Server 2008
                    database_type_class = SQLServer2008DatabaseType.class;
                }
            }

This will not match SQL Server 2008 R2, whose version will start with "10.50".


See http://support.microsoft.com/kb/321185 for details on SQL Server versioning.
Comment 1 Heiko W. Rupp 2011-11-30 05:04:36 EST
My understanding after talking to Joe, who implemented SQL-Server, is that our code only supports selected versions. So just adding the version to the type factory may not be enough.

Note You need to log in before you can comment on or make changes to this bug.